Kea: isc::dhcp::Cfg4o6 Struct Reference

| Kea 3.2.0-git

isc::dhcp::Cfg4o6 Struct Reference

This structure contains information about DHCP4o6 (RFC7341). More...

`#include <cfg_4o6.h>`

Inheritance diagram for isc::dhcp::Cfg4o6:
[legend]

## Public Member Functions
| Cfg4o6 ()
| the default constructor.
bool | enabled () const
| Returns whether the DHCP4o6 is enabled or not.
void | enabled (bool enabled)
| Sets the DHCP4o6 enabled status.
util::Optional< std::string > | getIface4o6 () const
| Returns the DHCP4o6 interface.
OptionPtr | getInterfaceId () const
| Returns the interface-id.
util::Optional< std::pair< asiolink::IOAddress, uint8_t > > | getSubnet4o6 () const
| Returns prefix/len for the IPv6 subnet.
void | setIface4o6 (const std::string &iface)
| Sets the 4o6-interface.
void | setInterfaceId (const OptionPtr &opt)
| Sets the interface-id.
void | setSubnet4o6 (const asiolink::IOAddress &subnet, uint8_t prefix)
| Sets the prefix/length information (content of the 4o6-subnet).
virtual isc::data::ElementPtr | toElement () const
| Unparse a configuration object.
Public Member Functions inherited from isc::data::CfgToElement
virtual | ~CfgToElement ()
| Destructor.

## Detailed Description

This structure contains information about DHCP4o6 (RFC7341).

DHCP4o6 is completely optional. If it is not enabled, this structure does not contain any information.

Definition at line 22 of file cfg_4o6.h.

## Constructor & Destructor Documentation

## ◆ Cfg4o6()

isc::dhcp::Cfg4o6::Cfg4o6 | ( |  | ) |
| inline

the default constructor.

Initializes fields to their default value.

Definition at line 27 of file cfg_4o6.h.

## Member Function Documentation

## ◆ enabled() [1/2]

bool isc::dhcp::Cfg4o6::enabled | ( |  | ) | const
| inline

Returns whether the DHCP4o6 is enabled or not.

Returns
  true if enabled

Definition at line 33 of file cfg_4o6.h.

Referenced by enabled(), and isc::dhcp::CfgSubnets4::selectSubnet4o6().

## ◆ enabled() [2/2]

void isc::dhcp::Cfg4o6::enabled | ( | bool | enabled | ) |
| inline

Sets the DHCP4o6 enabled status.

Parameters

  enabled | specifies if the DHCP4o6 should be enabled or not

Definition at line 39 of file cfg_4o6.h.

References enabled().

Here is the call graph for this function:

## ◆ getIface4o6()

util::Optional< std::string > isc::dhcp::Cfg4o6::getIface4o6 | ( |  | ) | const
| inline

Returns the DHCP4o6 interface.

Returns
  value of the 4o6-interface parameter.

Definition at line 45 of file cfg_4o6.h.

Referenced by isc::dhcp::CfgSubnets4::selectSubnet4o6().

## ◆ getInterfaceId()

OptionPtr isc::dhcp::Cfg4o6::getInterfaceId | ( |  | ) | const
| inline

Returns the interface-id.

Returns
  the option representing interface-id (or NULL)

Definition at line 72 of file cfg_4o6.h.

Referenced by isc::dhcp::CfgSubnets4::selectSubnet4o6().

## ◆ getSubnet4o6()

util::Optional< std::pair< asiolink::IOAddress, uint8_t > > isc::dhcp::Cfg4o6::getSubnet4o6 | ( |  | ) | const
| inline

Returns prefix/len for the IPv6 subnet.

Returns
  prefix/length pair

Definition at line 58 of file cfg_4o6.h.

Referenced by isc::dhcp::CfgSubnets4::selectSubnet4o6().

## ◆ setIface4o6()

void isc::dhcp::Cfg4o6::setIface4o6 | ( | const std::string & | iface | ) |
| inline

Sets the 4o6-interface.

Parameters

  iface | name of the network interface the 4o6 traffic is received on

Definition at line 51 of file cfg_4o6.h.

## ◆ setInterfaceId()

void isc::dhcp::Cfg4o6::setInterfaceId | ( | const OptionPtr & | opt | ) |
| inline

Sets the interface-id.

Parameters

  opt | option to be used as interface-id match

Definition at line 78 of file cfg_4o6.h.

## ◆ setSubnet4o6()

void isc::dhcp::Cfg4o6::setSubnet4o6 | ( | const asiolink::IOAddress & | subnet,
|  | uint8_t | prefix )
| inline

Sets the prefix/length information (content of the 4o6-subnet).

Parameters

  subnet | IOAddress that represents a prefix
  prefix | specifies prefix length

Definition at line 65 of file cfg_4o6.h.

## ◆ toElement()

ElementPtr isc::dhcp::Cfg4o6::toElement | ( |  | ) | const
| virtual

Unparse a configuration object.

Returns
  a pointer to unparsed configuration

Implements isc::data::CfgToElement.

Definition at line 22 of file cfg_4o6.cc.

References isc::data::Element::create(), and isc::data::Element::createMap().

Referenced by isc::dhcp::Subnet4::toElement().

Here is the call graph for this function:

The documentation for this struct was generated from the following files:

- cfg_4o6.h
- cfg_4o6.cc